/* Header File to define the object code format of the
 * DIGITAL Unix (Alpha AXP), by Kenji Kise 1999.5
 ******************************************************/
struct DU_filehdr {
  unsigned short f_magic;
  unsigned short f_nscns; /* use this */
  int		 f_timdat;	
  long long	 f_symptr;	
  int		 f_nsyms;	
  unsigned short f_opthdr;	
  unsigned short f_flags;
};

struct DU_aouthdr {
  short	magic;	  
  short	vstamp;	  
  short   bldrev;
  short   padcell;
  long long tsize;	/* use this */
  long long dsize;	/* use this */
  long long bsize;	
  long long entry;	/* use this */
  long long text_start;	
  long long data_start;	
  long long bbs_start;
  int	gprmask;	
  int	fprmask; 	
  long long	gp_value;
};

struct DU_scnhdr {
  char        s_name[8]; /* use this */
  long long   s_paddr;   /* use this */
  long long   s_vaddr;
  long long   s_size;    /* use this */
  long long   s_scnptr;  /* use this */
  long long   s_relptr; 
  long long   s_lnnoptr;
  unsigned short s_nreloc;
  unsigned short s_nlnno; 
  int     	s_flags;  
};
